=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	# I want to include db/db.pl in the package.
	-$(MAKE) realclean all
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs var/run
	$(MAKE) install \
		PREFIX=debian/tmp \
		BINDIR=/usr/bin \
		LIBDIR=/usr/lib/perlmoo \
		VARDIR=/var/lib/perlmoo \
		ETCDIR=/etc/ \
		MANDIR=/usr/man/man1
	# I prefer to generate this when the package installs
	-rm -f debian/tmp/var/lib/perlmoo/*
	touch install-stamp

binary-arch: build install
# Nothing to do.

binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs BUGS README* THANKS TODO WISHLIST FAQ
	dh_installexamples contrib/*
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	
	# Set up security - this makes perlmoo run as daemon.
	chown daemon.daemon debian/tmp/var/lib/perlmoo
	chmod ug+s debian/tmp/var/lib/perlmoo
	chmod o-x debian/tmp/var/lib/perlmoo

	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
